class LinkPreview {

    constructor( containerSelector, linkElement, field = 'value') {

        this.container   = document.querySelector( containerSelector );
        this.linkElementField = field;
        
        this.clicked = false; // stato della preview (true se è stato cliccato)
        
        this.button      = this.container.querySelector('.btn');
        this.linkElement = linkElement;

        this.show   = this.show.bind( this );

        this.button.addEventListener( 'click', this.show);
        
    }    

    show( event ) {

        let win = window.open( this.linkElement[this.linkElementField], 'new', 'popup=true' );  

        if ( win == null ) {
           alert('Attenzione, per visualizzare la preview occorre abilitare le popup nel browser per questo sito.');
        }

        this.clicked = true;
    }
}